PdfBuilder (Grails 6.0.0)

Package: grails.doc

## [Groovy] Class PdfBuilder

- grails.doc.PdfBuilder

-     class PdfBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `LIVE_DOC_SITE` |
    `private static boolean` | `cleanHtml` |
    `private static boolean` | `debugPdf` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static boolean` | `cleanHtml`
    `static boolean` | `debugPdf`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PdfBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `build(java.lang.String baseDir, java.lang.String styleDir)`
    `` | `static void` | `build(java.util.Map options)` Builds a PDF file from the manual's single.html file.
    `` | `private static java.lang.String` | `cleanupHtml(java.io.File htmlFile, java.lang.String xml)`
    `` | `static org.w3c.dom.Document` | `createDocument(java.lang.String xml)`
    `` | `static void` | `createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)`
    `` | `static void` | `createPdfWithDocument(org.w3c.dom.Document doc, java.io.File outputFile, java.io.File urlBase)`
    `` | `static java.lang.String` | `createXml(java.io.File htmlFile, java.lang.String base)`
    `` | `static java.lang.String` | `pdfCss()`
    `` | `private static java.lang.String` | `removeCssLink(java.lang.String htmlString)`
    `` | `static java.lang.String` | `removeCssLinks(java.lang.String html)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String LIVE_DOC_SITE

    - #### private static boolean cleanHtml

    - #### private static boolean debugPdf

  - ### Property Detail

    - #### static boolean cleanHtml

    - #### static boolean debugPdf

  - ### Constructor Detail

    - #### PdfBuilder()

  - ### Method Detail

    - #### static void build(java.lang.String baseDir, java.lang.String styleDir)

    - #### static void build(java.util.Map options)

      Builds a PDF file from the manual's single.html file.

      The following directories are assumed to exist:

      - $basedir/guide/single.html
      - $basedir/guide/css/
      - $basedir/guide/img/
      The `options` map should have the following key/value pairs
      - basedir = points to the root directory that contains the generated manual required

    - #### private static java.lang.String cleanupHtml(java.io.File htmlFile, java.lang.String xml)

    - #### static org.w3c.dom.Document createDocument(java.lang.String xml)

    - #### static void createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)

    - #### static void createPdfWithDocument(org.w3c.dom.Document doc, java.io.File outputFile, java.io.File urlBase)

    - #### static java.lang.String createXml(java.io.File htmlFile, java.lang.String base)

    - #### static java.lang.String pdfCss()

    - #### private static java.lang.String removeCssLink(java.lang.String htmlString)

    - #### static java.lang.String removeCssLinks(java.lang.String html)